/***************************************************************************
  ldossc.h - program logic starting in console mode (none GUI)
                             -------------------
  copyright : (C) 2010 by Helge Kortendieck  alan@kasmithee.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef _LDOSSC_H_
#define _LDOSSC_H_

#include <QCoreApplication>
#include <QObject>
#include <QProcess>
#include <QSettings>
#include <QString>
#include <QStringList>
#include <QTimer>

#include <iostream>
using namespace std;

class Ldossc : public QObject
{
	Q_OBJECT

public:
	Ldossc( QObject *parent = 0 );
		~Ldossc();


private:
	bool bStart;				// did the program start was successfully?

	int iD;						// dummy int, used locally
	int iDelay;					// delay before launching programs

	QString sCmds;				// shrinking command list (qstring)
	QString sD;
	QString sCurCmdLine;		// current command line from sProgs
	QString sProg;				// program to launch, first entry in sCurCmdLine
	QString sProgs;				// programs to launch, TextEdit contents

	QStringList slD;			// command line split into options

private	slots:
	void exitDo();
	
	void launchProgs();			// launch programs detached

	void setRead();             // read settings

	void timerStart();          // start delay timer to start programs later
};

#endif
