/***************************************************************************
 main.cpp  -  the usual wrapper to start things up, next comes ldoss.cpp/h
                             -------------------
    copyright             : (C) 2010 by Helge Kortendieck
    email                 : alan@kasmithee.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#include <iostream>
using namespace std;

#include <QApplication>
#include <QCoreApplication>
#include <QString>

#include "ldoss.h"
#include "ldossc.h"

int main( int argc, char *argv[] )
{
	QString sArg = argv[1];
	if( argc == 1 ) {
		QApplication app(argc, argv);
		Ldoss ldo;
		return app.exec();
	} else if( argc == 2 and sArg == "-l" ) {			// not '-l' option
		QCoreApplication app(argc, argv);
		Ldossc ldo;
		return app.exec();
	} else {
		cout << "\n###  ldoss - launch delayed on session start\n"
				"###  Version 0.8.2\n"
				"###  Copyright (C) 2010 by Helge Kortendieck, alan@kasmithee.de\n"
				"###  Released under GPL3 or later - enjoy\n"
				"###\n"
				"###  ldoss help:\n"
				"###  Start the program without arguments in a graphical environment and read the online help.\n"
				"###  -l starts the program in non-GUI mode and will launch programs after the defined time.\n"
				"###\n" << endl;
		return 0;
	}
}
